Bug 1471561 - Review Request: python-oletools - Tools to analyze Microsoft OLE2 files
Review Request: python-oletools - Tools to analyze Microsoft OLE2 files
Status: CLOSED DUPLICATE of bug 1505374
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On: 1409648 1471557 1498616 1498629 1498637
Blocks: 1500072
  Show dependency treegraph
 
Reported: 2017-07-16 19:17 EDT by Michal Ambroz
Modified: 2017-10-23 09:31 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-23 09:31:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Ambroz 2017-07-16 19:17:14 EDT
Spec URL: https://rebus.fedorapeople.org/SPECS/python-oletools.spec
SRPM URL: https://rebus.fedorapeople.org/SRPMS/python-oletools-0.51-1.fc25.src.rpm
Fedora Account System Username: rebus
Description: 
The python-oletools is a package of python tools from Philippe Lagadec
to analyze Microsoft OLE2 files (also called Structured Storage,
Compound File Binary Format or Compound Document File Format),
such as Microsoft Office documents or Outlook messages, mainly for
malware analysis, forensics and debugging.
It is based on the olefile parser.
Comment 1 Michal Ambroz 2017-07-16 19:28:10 EDT
Koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=20564767
Comment 2 Zbigniew Jędrzejewski-Szmek 2017-08-09 16:37:39 EDT
No need to define %sum: just use Summary normally, and then %summary wherever necessary.

I'd do something like
%global _description \
The python-oletools is a package of python tools from Philippe Lagadec\
to analyze Microsoft OLE2 files (also called Structured Storage,\
...

%description %_description
%description -n python2-%{gitname} %_description
%description -n python3-%{gitname} %_description
to avoid repeating the same text 3 times.

Are you sure that both python2 and python3 versions of the executables should be installed? I'd expect to get the same output from either version, so it should be enough to just package one of them (python2 it seems).
If you package both, it'd be better to use the suffixes recommended by https://fedoraproject.org/wiki/Packaging:Python#Executables_in_.2Fusr.2Fbin:
-3.6, -3, -2.7, -2.

/usr/lib/python3.6/site-packages/oletools/LICENSE.txt
should be marked as %license, and
/usr/lib/python3.6/site-packages/oletools/README.rst
/usr/lib/python3.6/site-packages/oletools/README.html
should be in %doc or removed.

It seems you also need
Provides: bundled(DridexUrlDecoder)
Provides: bundled(tablestream)
Provides: bundled(xglob)
Provides: bundled(xxxswf)
Provides: bundled(zipfile27)
Comment 3 Robert Scheck 2017-10-04 16:22:32 EDT
Michal, ping? Are you still interested in python-oletools?
Comment 4 Robert Scheck 2017-10-05 17:59:17 EDT
Based on #description and comment #2, I am suggesting the following changes:

Spec URL: https://labs.linuxnetz.de/bugzilla/python-oletools.spec
SRPM URL: https://labs.linuxnetz.de/bugzilla/python-oletools-0.51-2.src.rpm
Comment 5 Zbigniew Jędrzejewski-Szmek 2017-10-06 03:12:35 EDT
Hmm, I completely forgot about this. Robert, if Michal doesn't respond in a few days, open a new review ticket with your version, and close this one as duplicate of the new one.
Comment 6 Robert Scheck 2017-10-23 08:55:35 EDT
Zbigniew, I filed bug #1505374 now (14+ days since last discussion).
Comment 7 Zbigniew Jędrzejewski-Szmek 2017-10-23 09:31:14 EDT

*** This bug has been marked as a duplicate of bug 1505374 ***

Note You need to log in before you can comment on or make changes to this bug.